Bug 1612 - Samba can't store plaintext passwords in sql pdb (mysql, pgsql)
Samba can't store plaintext passwords in sql pdb (mysql, pgsql)
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: pdb_sql
3.0.7
All All
: P3 normal
: none
Assigned To: pdb_sql maintainers mail alias
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 02:38 UTC by Filip Jirsák
Modified: 2006-02-10 08:42 UTC (History)
0 users

See Also:


Attachments
Patchs allows "NULL" for name of DB column, which we won't store in SQL; it alows store plaintext password in SQL (1.92 KB, patch)
2004-08-17 02:42 UTC, Filip Jirsák
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Jirsák 2004-08-17 02:38:38 UTC
For use Samba password for authentication from other services, we need to store
plaintext password in SQL pdb. We also need easy way to say Samba not to store
some pdb fields in DB (for example most people don't like to store plaintext
passwords).
Comment 1 Filip Jirsák 2004-08-17 02:42:41 UTC
Created attachment 601 [details]
Patchs allows "NULL" for name of DB column, which we won't store in SQL; it alows store plaintext password in SQL

When in smb.conf some SQL column is named "NULL", pdb field will not be stored
in SQL.
WHen plaitext passwd column is not null, it will be stored in SQL.
Comment 2 Filip Jirsák 2004-09-16 06:24:05 UTC
Proposed patch works fine for me for more then one month.
Comment 3 Gerald (Jerry) Carter 2004-09-16 07:09:55 UTC
you can't really mark the bug as 'worksforme' since 
there is apparently an issue with the 3.0 svn tree.
if the bug is closed without the patch ever being 
applied to the main tree, technically the bug was 
never fixed.
Comment 4 Jelmer Vernooij 2005-09-23 11:17:41 UTC
The experimental pdb modules (pdb_mysql, pdb_pgsql and pdb_xml) have 
been a bit neglected during the last few releases of Samba 3 as they 
haven't been actively maintained. I was the original author and 
maintainer, but I no longer work on Samba 3 and I no longer use any of 
the modules in production. I was hoping I could nonetheless keep the code 
working for those that still use it, but this turned out to be harder then I 
expected. 
 
I'll remove these modules unless somebody steps up as a maintainer. If 
there's anyone willing to take over maintainance of either one of 
these modules, please let me know. Otherwise, I'll put the modules up 
on my samba.org homepage as a separate tarball for those interested 
(including some of the patches that have been published). 
Comment 5 Gerald (Jerry) Carter 2006-02-10 08:42:02 UTC
See bug 3375.  If someone wants to maintain these modules outside
the Samba source tree, that is fine.  But the source has been removed
from the upcoming 3.0.22 release.